Bug 739294 - ACPI Bug and performance issues
Summary: ACPI Bug and performance issues
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 15
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: ---
Assignee: Kernel Maintainer List
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-09-17 10:50 UTC by Sascha Zantis
Modified: 2013-01-10 08:23 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-07-11 17:52:46 UTC


Attachments (Terms of Use)
The output of lspci -vvv (11.95 KB, text/plain)
2011-09-17 10:50 UTC, Sascha Zantis
no flags Details
The output of lshw (18.78 KB, text/plain)
2011-09-17 10:50 UTC, Sascha Zantis
no flags Details
The output of dmesg (113.37 KB, text/plain)
2011-09-17 10:51 UTC, Sascha Zantis
no flags Details
acpidump (263.11 KB, text/plain)
2011-10-11 03:58 UTC, Sascha Zantis
no flags Details
/sys/class/thermal/cooling_device*/cur_state (11 bytes, text/plain)
2011-10-11 03:59 UTC, Sascha Zantis
no flags Details
/sys/firmware/acpi/interrupts/* (1.32 KB, text/plain)
2011-10-11 03:59 UTC, Sascha Zantis
no flags Details
slow system: acpidump (263.11 KB, text/plain)
2011-10-12 04:50 UTC, Sascha Zantis
no flags Details
slow system: /sys/class/thermal/cooling_device*/cur_state (10 bytes, text/plain)
2011-10-12 04:51 UTC, Sascha Zantis
no flags Details
slow system: /sys/firmware/acpi/interrupts/* (1.32 KB, text/plain)
2011-10-12 04:51 UTC, Sascha Zantis
no flags Details

Description Sascha Zantis 2011-09-17 10:50:02 UTC
Created attachment 523697 [details]
The output of lspci -vvv

Hello everyone!

I have an annoying ACPI-Bug. On every boot I get the following Warning/Error message:

[    0.459917] [Firmware Bug]: PCI: MMCONFIG at [mem 0xe0000000 - 0xefffffff] not reserved in ACPI motherboard resources

Then the notebook boots just fine.

But I think, there are some other problems related to this <Warning/Error>.

When I run the notebook on battery and plug in the AC, the performance becomes very bad until I suspend/reactivate the notebook or plug out the AC again.

There is nothing logged about this, no visible problems like busy CPU or full RAM, the notebook just becomes very slow so that I cannot work with it anymore.

This sometimes also happens, when I boot with AC plugged in. I don't know how to describe the problem more detailed. I added the output of lspci -vvv, dmesg and lshw as attachment.

Some information from BIOS Setup Menu:

Bios-Version: 1.11 (8GET34WW)
Bios-Date(YMD): 2011-06-13
Embedded Controller Version: 1.06
Machine Type Model: 7826W12

If you have any ideas or need more information, please tell me.

uname -r
2.6.40.4-5.fc15.x86_64

Comment 1 Sascha Zantis 2011-09-17 10:50:35 UTC
Created attachment 523698 [details]
The output of lshw

Comment 2 Sascha Zantis 2011-09-17 10:51:03 UTC
Created attachment 523699 [details]
The output of dmesg

Comment 3 Josh Boyer 2011-10-10 14:26:18 UTC
Can you provide the output of the following:

/sys/class/thermal/cooling_device*/cur_state
/sys/firmware/acpi/interrupts/*

and acpidump?

Additionally, your dmesg shows that you have the vbox modules loaded and in use.  Particularly the line: 

[  637.727743] EXT4-fs (dm-2): Unaligned AIO/DIO on inode 10486440 by VirtualBox; performance will be poor.

While that seems unrelated, it can certainly impact performance.  For the purposes of debug, do you see the performance issues when the vbox modules are not loaded and vbox isn't in use?

Comment 4 Sascha Zantis 2011-10-11 03:58:34 UTC
Created attachment 527366 [details]
acpidump

Yes, of course. I added all those information as attachments. The machine is running good at the moment. I will also add them, when the problem appears again (Hopefully today). You must know, it is not that easy to reproduce. To let it happen with a high chance, the battery must me quite empty, laptop must have been in standby and I must plug in the AC. Or something weird like that.

After that, I will look, how to disable the vbox-modules at boot and disable them (Can you tell me, how this is done in an easy way, I don't often work on things like that).

Comment 5 Sascha Zantis 2011-10-11 03:59:18 UTC
Created attachment 527367 [details]
/sys/class/thermal/cooling_device*/cur_state

Comment 6 Sascha Zantis 2011-10-11 03:59:45 UTC
Created attachment 527368 [details]
/sys/firmware/acpi/interrupts/*

Comment 7 Sascha Zantis 2011-10-12 04:50:34 UTC
Created attachment 527602 [details]
slow system: acpidump

Ok. It happened again right now.

My battery was on ~40% capacity, I plugged in the AC and booted the laptop. The performance was bad. That means, it boots slower, gdm needs about 30-40 seconds to come up and even a login on tty2 needs seconds to work. I then collected the information (acpidump and the /sys-things (see attachments)), suspended the system and woke it up. Now, everything is fine. I did not deactivate the vbox-module yet.

Comment 8 Sascha Zantis 2011-10-12 04:51:22 UTC
Created attachment 527603 [details]
slow system: /sys/class/thermal/cooling_device*/cur_state

Comment 9 Sascha Zantis 2011-10-12 04:51:56 UTC
Created attachment 527604 [details]
slow system: /sys/firmware/acpi/interrupts/*

Comment 10 Josh Boyer 2012-06-06 19:37:13 UTC
Is this still happening with 2.6.43/3.3?  Does it happen without the vbox modules loaded?

Comment 11 Josh Boyer 2012-07-11 17:52:46 UTC
Fedora 15 has reached it's end of life as of June 26, 2012.  As a result, we will not be fixing any remaining bugs found in Fedora 15.

In the event that you have upgraded to a newer release and the bug you reported is still present, please reopen the bug and set the version field to the newest release you have encountered the issue with.  Before doing so, please ensure you are testing the latest kernel update in that release and attach any new and relevant information you may have gathered.

Thank you for taking the time to file a report.  We hope newer versions of Fedora suit your needs.


Note You need to log in before you can comment on or make changes to this bug.